Package com.norconex.commons.lang.xml

# Class ClasspathInput

java.lang.Object
com.norconex.commons.lang.xml.ClasspathInput

All Implemented Interfaces:
  `LSInput`

public class ClasspathInput extends Object implements LSInput
Load XML Schema resources input from Classpath.

Since:
  1.13.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClasspathInput(String publicId, String sysId, InputStream input)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseURI()`
  `InputStream`
  `getByteStream()`
  `boolean`
  `getCertifiedText()`
  `Reader`
  `getCharacterStream()`
  `String`
  `getEncoding()`
  `BufferedInputStream`
  `getInputStream()`
  `String`
  `getPublicId()`
  `String`
  `getStringData()`
  `String`
  `getSystemId()`
  `void`
  `setBaseURI(String baseURI)`
  `void`
  `setByteStream(InputStream byteStream)`
  `void`
  `setCertifiedText(boolean certifiedText)`
  `void`
  `setCharacterStream(Reader characterStream)`
  `void`
  `setEncoding(String encoding)`
  `void`
  `setInputStream(BufferedInputStream inputStream)`
  `void`
  `setPublicId(String publicId)`
  `void`
  `setStringData(String stringData)`
  `void`
  `setSystemId(String systemId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClasspathInput

    public ClasspathInput(String publicId, String sysId, InputStream input)

- ## Method Details

  - ### getPublicId

    public String getPublicId()
    Specified by:
      `getPublicId` in interface `LSInput`

  - ### setPublicId

    public void setPublicId(String publicId)
    Specified by:
      `setPublicId` in interface `LSInput`

  - ### getBaseURI

    public String getBaseURI()
    Specified by:
      `getBaseURI` in interface `LSInput`

  - ### getByteStream

    public InputStream getByteStream()
    Specified by:
      `getByteStream` in interface `LSInput`

  - ### getCertifiedText

    public boolean getCertifiedText()
    Specified by:
      `getCertifiedText` in interface `LSInput`

  - ### getCharacterStream

    public Reader getCharacterStream()
    Specified by:
      `getCharacterStream` in interface `LSInput`

  - ### getEncoding

    public String getEncoding()
    Specified by:
      `getEncoding` in interface `LSInput`

  - ### getStringData

    public String getStringData()
    Specified by:
      `getStringData` in interface `LSInput`

  - ### setBaseURI

    public void setBaseURI(String baseURI)
    Specified by:
      `setBaseURI` in interface `LSInput`

  - ### setByteStream

    public void setByteStream(InputStream byteStream)
    Specified by:
      `setByteStream` in interface `LSInput`

  - ### setCertifiedText

    public void setCertifiedText(boolean certifiedText)
    Specified by:
      `setCertifiedText` in interface `LSInput`

  - ### setCharacterStream

    public void setCharacterStream(Reader characterStream)
    Specified by:
      `setCharacterStream` in interface `LSInput`

  - ### setEncoding

    public void setEncoding(String encoding)
    Specified by:
      `setEncoding` in interface `LSInput`

  - ### setStringData

    public void setStringData(String stringData)
    Specified by:
      `setStringData` in interface `LSInput`

  - ### getSystemId

    public String getSystemId()
    Specified by:
      `getSystemId` in interface `LSInput`

  - ### setSystemId

    public void setSystemId(String systemId)
    Specified by:
      `setSystemId` in interface `LSInput`

  - ### getInputStream

    public BufferedInputStream getInputStream()

  - ### setInputStream

    public void setInputStream(BufferedInputStream inputStream)